Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDORTHOINTERFACEvalues

    java.lang.Object
      java.lang.Enum<CDORTHOINTERFACEvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDORTHOINTERFACEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDORTHOINTERFACEvalues>

    public enum CDORTHOINTERFACEvalues

extends Enum<CDORTHOINTERFACEvalues>

Java class for CD-ORTHO-INTERFACEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ORTHO-INTERFACEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="hacoated"/>
         <enumeration value="porous"/>
         <enumeration value="smouth"/>
         <enumeration value="cementwithab"/>
         <enumeration value="cementwithoutab"/>
         <enumeration value="allpoly"/>
         <enumeration value="none"/>
         <enumeration value="other"/>
         <enumeration value="metalbacked"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ALLPOLY`
`CEMENTWITHAB`
`CEMENTWITHOUTAB`
`HACOATED`
`METALBACKED`
`NONE`
`OTHER`
`POROUS`
`SMOUTH`

Method Summary
`static CDORTHOINTERFACEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDORTHOINTERFACEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDORTHOINTERFACEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HACOATED

    public static final CDORTHOINTERFACEvalues HACOATED

### POROUS

    public static final CDORTHOINTERFACEvalues POROUS

### SMOUTH

    public static final CDORTHOINTERFACEvalues SMOUTH

### CEMENTWITHAB

    public static final CDORTHOINTERFACEvalues CEMENTWITHAB

### CEMENTWITHOUTAB

    public static final CDORTHOINTERFACEvalues CEMENTWITHOUTAB

### ALLPOLY

    public static final CDORTHOINTERFACEvalues ALLPOLY

### NONE

    public static final CDORTHOINTERFACEvalues NONE

### OTHER

    public static final CDORTHOINTERFACEvalues OTHER

### METALBACKED

    public static final CDORTHOINTERFACEvalues METALBACKED

Method Detail

### values

    public static CDORTHOINTERFACEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDORTHOINTERFACEvalues c : CDORTHOINTERFACEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDORTHOINTERFACEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDORTHOINTERFACEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Package PERSDENTIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.